# FairMQ: fair::mq::sdk::cmd::Cmds Struct Reference

fair::mq::sdk::cmd::Cmds Struct Reference

## Classes

struct | CommandFormatError

## Public Types

using | container = std::vector< std::unique_ptr< Cmd > >
using | iterator = container::iterator
using | const_iterator = container::const_iterator

## Public Member Functions

template<typename... Rest>
| Cmds (std::unique_ptr< Cmd > &&first, Rest &&... rest)
void | Add (std::unique_ptr< Cmd > &&cmd)
template<typename C , typename... Args>
void | Add (Args &&... args)
Cmd & | At (size_t i)
size_t | Size () const
void | Reset ()
std::string | Serialize (const Format type=Format::Binary) const
void | Deserialize (const std::string &, const Format type=Format::Binary)
auto | begin () -> decltype(fCmds.begin())
auto | end () -> decltype(fCmds.end())
auto | cbegin () -> decltype(fCmds.cbegin())
auto | cend () -> decltype(fCmds.cend())

The documentation for this struct was generated from the following files:

- fairmq/sdk/commands/Commands.h
- fairmq/sdk/commands/Commands.cxx

privacy